## Overview
This module integrates the Mailboxlayer API (https://mailboxlayer.com/) with the Webforms ( Containing email fields ).
This will enable a checkbox in all the Email fields in your webform. Just check the checkbox and save the webform. And you're ready to go. (Of course, you will have to provide the Mailboxlayer API KEY).

## Features
- The module provides a separate checkbox for all the email fields in the webform. You will have the freedom to enable the Mailboxlayer checking for individual Email fields.
- The module stores the Mailboxlayer response in the database to avoid the multiple API calls for the same Email id.
- As the Mailboxlayer response parameters are dynamic, we provide the option to delete the entry from the database based on the number of days. The default value for this is one day( 24 hrs). All one-day old Mailboxlayer responses stored in the database will be automatically deleted. You can configure this by visiting the configuration page(/admin/config/mailboxlayer).

### NOTE:- For now we only consider the SMTP check to validate the email ids.

## Overriding API Key
The API key should vary from instance to instance. We should not use the same API key on our development and production site(because the the number of API request is limited for each key per day).
We have option to add the API key in the configuration form, but that field should be used only for the testing purposes(for Dev and Local environment). When you export the configuration, the API key will also get exported. So to avoid this either you can ignore the `mailboxlayer.settings` file during Configuration import or you can override the API key from settings.php file(which is the recommended approach).
Add the following line to settings.php:
`$config['mailboxlayer.settings']['mailbox_layer']['api_key'] = 'YOUR API KEY';`
This will also make sure that your API key is secure.